﻿import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: aboutTools
    orientationLock: PageOrientation.LockPortrait

    Text {
        id: label
        anchors.centerIn: parent
        width: parent.width-10
        text: qsTr("Version: 0.1.2<br>Author: CheSS <br>e-mail:cssru@mail.ru<br>Program to store and sending USSD requests. Using this program you do not need to remember usable USSD requests. Run USSDNotes, select USSD and press Send Button.")
        wrapMode: Text.WordWrap
        font.pixelSize: 30
        smooth: true
    }

    ToolBarLayout {
        id: aboutTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: appWindow.pageStack.pop()
        }
    }

}
