import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.feedback 1.1

Image {
    id: button
    property alias text: label.text
    signal clicked
    source: "images/button.png"
    width: 100
    height: 100
    Text {
        id:label
        anchors.centerIn: parent
        color: "white"
        font.pointSize: 20
        text: ""
    }
    HapticsEffect {
         id: vibroEffect
         attackIntensity: 0.0
         attackTime: 250
         intensity: 1.0
         duration: 100
         fadeTime: 250
         fadeIntensity: 0.0
     }
    MouseArea {
        anchors.fill: parent
        onPressed: {
            vibroEffect.start();
            button.clicked();
        }
    }
}
