import QtQuick 1.1
import com.nokia.meego 1.0


Rectangle {
    property TextInput textinput: null
    width: parent.width
    height: 320
    color: "black"
    anchors.bottom: parent.bottom
    Grid {
        rows:4
        spacing:10
        anchors.horizontalCenter: parent.horizontalCenter
        KeyButton {
            text: "1"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "2"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "3"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: ""
            source: "images/backspace.png"
            onClicked: {
                var str = textinput.text.toString()
                var len = str.length
                textinput.text = str.substr(0, len-1)
            }
        }

        KeyButton {
            text: "4"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "5"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "6"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "OK"
            onClicked: {
                parent.parent.visible = false
            }
        }

        KeyButton {
            text: "7"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "8"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "9"
            onClicked: {
                textinput.text += text
            }
        }

        Rectangle {
            visible:true
            color: "black"
            width:100
            height:100
        }


        KeyButton {
            text: "*"
            onClicked: {
                textinput.text += text
            }
        }



        KeyButton {
            text: "0"
            onClicked: {
                textinput.text += text
            }
        }



        KeyButton {
            text: "#"
            onClicked: {
                textinput.text += text
            }
        }

        KeyButton {
            text: "+"
            onClicked: {
                textinput.text += text
            }
        }


    }
}
