import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage


    MainPage {
        id: mainPage
    }

    AddPage {
        id: addPage
    }

    AboutPage {
        id: aboutPage
    }


    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                text: qsTr("Exit")
                onClicked: Qt.quit()
            }
            MenuItem {
                text: qsTr("About")
                onClicked: appWindow.pageStack.push(aboutPage)
            }
        }
    }
}


